Name:           socat
Version:        1.7.4.2 
Release:        1%{?dist}
Summary:        Bidirectional data relay between two data channels ('netcat++') 

License:        GPLv2 
URL:            http://www.dest-unreach.org/socat/
Source0:        http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2

BuildRequires:  make gcc openssl-devel readline-devel ncurses-devel iproute net-tools coreutils procps-ng openssl iputils autoconf kernel-headers

%description
Socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these.

%prep
%autosetup

iconv -f iso8859-1 -t utf-8 CHANGES > CHANGES.utf8
mv CHANGES.utf8 CHANGES

%build
%configure  \
        --enable-help --enable-stdio \
        --enable-fdnum --enable-file --enable-creat \
        --enable-gopen --enable-pipe --enable-termios \
        --enable-unix --enable-ip4 --enable-ip6 \
        --enable-rawip --enable-tcp --enable-udp \
        --enable-listen --enable-proxy --enable-exec \
        --enable-system --enable-pty --enable-readline \
        --enable-openssl --enable-sycls --enable-filan \
        --enable-retry

%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install
install -d %{buildroot}/%{_docdir}/socat
install -m 0644 *.sh %{buildroot}/%{_docdir}/socat/
echo ".so man1/socat.1" | gzip > %{buildroot}/%{_mandir}/man1/filan.1.gz
cp -a %{buildroot}/%{_mandir}/man1/filan.1.gz %{buildroot}/%{_mandir}/man1/procan.1.gz


%files
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ PORTING
%doc COPYING* README SECURITY
%doc %{_docdir}/socat/*.sh
%{_bindir}/*
%doc %{_mandir}/man1/*


%changelog
* Tue Mar  8 2022 forrest_ly <flin@linux.alibaba.com> - 1.7.4.2-1
- Init for Anolis OS 23
